Summary		: Linux Trace Tool (NG) daemon
Name		: ltt-control 
Version		: 0.30
Release		: 4.0.0.%{_mvl_build_id}
Source		: ltt-control-0.30-09112006.tar.gz 
Source1		: ltt-load
Source2		: ltt-unload
Patch1		: ltt-control-add-arm-at-syscalls.patch
License		: GPL
Group		: util
Buildroot	: %{_tmppath}/%{name}-%{_mvl_target_arch}-root
Prefix		: %{_mvl_cross_target_dir}

%define _docdir         %{_mvl_cross_target_dir}%{_mvl_target_doc_dir}

%description

 The LTTng daemon and associated tools. 

%package -n ltt-control-libs
Summary		: Linux Trace Tool (NG) runtime libraries
Group		: libs

%description -n ltt-control-libs

 Runtime libraries for the LTTng.

%package -n ltt-control-dev
Summary		: Linux Trace Tool (NG) development libraries
Group		: devel
%description -n ltt-control-dev

 Development libraries for LTTng.

%prep
%target_check
%setup -n ltt-control-0.30-09112006
%patch1 -p1

%build
%target_setup
%target_configure 
%make

%install
rm -rf %{buildroot}
%target_setup
cd objdir
make install DESTDIR=%{buildroot}%{_mvl_cross_target_dir} 

%demangle_libtool

# Userspace packages must have a LICENSE file.
[ -f ../LICENSE ] || cp ../COPYING ../LICENSE

# Copy load/unload scripts
chmod +x %{SOURCE1} %{SOURCE2}
cp -p %{SOURCE1} %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/
cp -p %{SOURCE2} %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/lttctl
%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/lttd
%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/ltt-load
%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/ltt-unload
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/core.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/fs.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/fs_data.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/ipc.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/kernel.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/kernel_arch_arm.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/kernel_arch_c2.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/kernel_arch_i386.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/kernel_arch_mips.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/kernel_arch_powerpc.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/kernel_arch_ppc.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/kernel_arch_x86_64.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/locking.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/memory.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/network.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/network_ip_interface.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/process.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/socket.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/stack.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/statedump.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/timer.xml
%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}/ltt-control/facilities/user_generic.xml
%doc LICENSE


%files -n ltt-control-dev
%defattr(-,root,root)
%{_mvl_cross_target_dir}%{_mvl_target_include_dir}/liblttctl/lttctl.h
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/liblttctl.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/liblttctl.la
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/liblttctl.so
%doc LICENSE


%files -n ltt-control-libs
%defattr(-,root,root)
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/liblttctl.so.0
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/liblttctl.so.0.0.0
%doc LICENSE

%changelog
* Wed Jan 03 2007 Peter Rehley <prehley@mvista.com>
- Add load/unload scripts.
* Thu Oct 12 2006 Jeremy Puhlman <source@mvista.com>
- First bump.
